From 95ae85542f39cecd1af6a3e661ad6120195d2304 Mon Sep 17 00:00:00 2001
From: Yuan Liao <liaoyuan@gmail.com>
Date: Mon, 20 Dec 2021 09:57:31 -0800
Subject: [PATCH] build.xml: Skip Ivy logic and use Gentoo classpath

Signed-off-by: Yuan Liao <liaoyuan@gmail.com>
---
 build.xml | 22 +++++++---------------
 1 file changed, 7 insertions(+), 15 deletions(-)

diff --git a/build.xml b/build.xml
index b7940ab..ff321c6 100644
--- a/build.xml
+++ b/build.xml
@@ -20,6 +20,8 @@
     xmlns:junit4="antlib:com.carrotsearch.junit4"
     xmlns:mvn="antlib:org.apache.maven.artifact.ant">
 
+  <import file="gentoo-classpath.xml" />
+
   <property name="src" location="src"/>
   <property name="build" location="build"/>
   <property name="dist"  location="dist"/>
@@ -81,8 +83,6 @@
   </target>
 
   <target name="install-cpptasks" unless="cpptasks.available">
-    <ivy:cachepath organisation="ant-contrib" module="cpptasks" revision="1.0b5"
-      inline="true" conf="default" transitive="true" pathid="cpptasks.classpath"/>
     <taskdef uri="antlib:net.sf.antcontrib.cpptasks" resource="net/sf/antcontrib/cpptasks/antlib.xml" classpathref="cpptasks.classpath"/>
     <property name="cpptasks.available" value="true"/>
   </target>
@@ -117,22 +117,14 @@
 
   <target name="init">
     <tstamp />
-    <ivy:resolve file="${ivy.xml.name}" conf="test" />
-    <ivy:retrieve />
   </target>
 
   <target name="install-junit4" depends="init" unless="junit4.available">
-    <taskdef uri="antlib:com.carrotsearch.junit4">
-      <classpath>
-        <fileset dir="${lib}" includes="*.jar" />
-      </classpath>
-    </taskdef>
+    <taskdef uri="antlib:com.carrotsearch.junit4" resource="com/carrotsearch/junit4/antlib.xml" classpath="${gentoo.classpath}"/>
     <property name="junit4.available" value="true" />
   </target>
 
   <target name="generate-sources" depends="init">
-    <ivy:cachepath organisation="org.mvel" module="mvel2" revision="2.3.2.Final"
-      inline="true" conf="default" transitive="true" pathid="mvel.classpath"/>
     <mkdir dir="${build}/java" />
     <java
       fork="true"
@@ -244,12 +236,12 @@
     <pathelement path="${build}/classes" />
     <pathelement path="${build}/unsafe-classes" />
     <pathelement path="${build}/generated-classes" />
-    <fileset dir="lib" includes="*.jar" />
+    <pathelement path="${gentoo.classpath}" />
   </path>
 
   <path id="compile.tests.classpath.with.jar">
     <pathelement path="${lz4-java.jar}" />
-    <fileset dir="lib" includes="*.jar" />
+    <pathelement path="${gentoo.classpath}" />
   </path>
 
   <path id="test.classpath">
@@ -260,14 +252,14 @@
     <pathelement path="${build}/unsafe-classes" />
     <pathelement path="${build}/generated-classes" />
     <pathelement path="${build}/test-classes" />
-    <fileset dir="${lib}" includes="*.jar" />
+    <pathelement path="${gentoo.classpath}" />
   </path>
 
   <path id="test.classpath.with.jar">
     <pathelement path="${lz4-java.jar}" />
     <pathelement path="${src}/test-resources" />
     <pathelement path="${build}/test-classes" />
-    <fileset dir="${lib}" includes="*.jar" />
+    <pathelement path="${gentoo.classpath}" />
   </path>
 
   <target name="test" description="run tests">
-- 
2.32.0

